用心打造
VPS知识分享网站

严重的OpenSSH漏洞威胁数百万Linux系统

Qualys威胁研究部门(TRU)发现了OpenSSH服务器 (sshd) 中的一个严重漏洞,可能影响全球超过 1400 万个Linux系统。该漏洞被指定为 CVE-2024-6387,允许在基于 glibc 的 Linux 系统上以 root 权限进行远程未经身份验证的代码执行 (RCE)。

严重的OpenSSH漏洞威胁数百万Linux系统

此漏洞源于信号处理程序竞争条件,会影响默认配置下的 sshd。Qualys 研究人员在其全球客户群中发现了大约 700,000 个易受攻击的面向外部互联网的实例,占所有面向互联网的 OpenSSH 实例的 31%。

Synopsys 软件完整性小组研究员 Ray Kelly 表示:“这个漏洞非常严重。远程代码执行、根访问权限以及在 Linux 服务器上的广泛传播使其成为威胁行为者的热门目标。”

这一发现尤其令人担忧,因为它代表了 2006 年修补的漏洞 (CVE-2006-5051) 的回归。此回归是在 2020 年 10 月随 OpenSSH 8.5p1 无意中引入的,凸显了彻底的回归测试在软件开发中的关键重要性。

受影响的 OpenSSH 版本包括 4.4p1 之前的版本(除非针对 CVE-2006-5051 和 CVE-2008-4109 进行了修补),以及从 8.5p1 到 9.8p1(但不包括)的版本。值得注意的是,OpenBSD 系统不受影响,因为它在 2001 年开发了安全机制。

此漏洞的潜在影响非常严重。如果被利用,它可能会导致整个系统被攻陷,允许攻击者以 root 权限执行任意代码。这可能导致恶意软件安装、数据操纵和创建持久后门。此外,受感染的系统可能被用作网络传播的发射台,从而可能绕过关键的安全机制。

虽然由于该漏洞属于远程竞争条件,因此很难被利用,但深度学习的进步可能会显著提高未来攻击的成功率。

为了降低风险,建议企业采取以下措施:

  • 实施即时补丁管理
  • 增强 SSH 的访问控制
  • 采用网络分段和入侵检测系统

OpenSSH 是一套基于 SSH 协议的安全网络实用程序,对于在不安全的网络上进行安全通信至关重要。它广泛用于企业环境中的远程服务器管理、安全文件传输和各种 DevOps 实践。

尽管遭遇了这次挫折,OpenSSH 总体上仍保持着良好的安全记录。然而,这次事件提醒我们,维护软件安全仍面临持续的挑战,即使是成熟和广泛使用的工具也是如此。

建议开发人员和系统管理员检查他们的 OpenSSH 实现并及时应用必要的更新。

“尽管 OpenSSH 补丁可用,但将其部署到所有受影响的系统(可能影响 1400 万个 OpenSSH 实例)是一项重大挑战。此漏洞可能会持续很长时间,让人想起 2014 年 OpenSSL 中的 Heartbleed 漏洞,”Kelly 解释道。

随着形势的发展,网络安全界将密切关注该漏洞的解决速度,以及它对 OpenSSH 和类似的安全关键型软件可能产生哪些长期影响。

赞(0)
未经允许不得转载;国外vps网站 » 严重的OpenSSH漏洞威胁数百万Linux系统
分享到